## libneat-1.0.9.tar.xz

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
PROJECT(libneat)

SET(BUILD_MAJOR "1")
SET(BUILD_MINOR "0")
SET(BUILD_PATCH "9")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

# Needed by SWIG:
CMAKE_POLICY(SET CMP0078 OLD)
CMAKE_POLICY(SET CMP0086 NEW)

include(FindPythonLibs)


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)
INCLUDE(CheckTypeSize)
INCLUDE(CheckCCompilerFlag)
SET(CMAKE_MACOSX_RPATH 1)


#############################################################################
# SOURCES + HEADERS
#############################################################################

LIST(APPEND neat_headers
    neat.h
    neat_queue.h
)

LIST(APPEND neat_sources
    neat_addr.c
    neat_core.c
    neat_he.c
    neat_log.c
    neat_qos.c
    neat_stat.c
    neat_json_helpers.c
    neat_pvd.c
    neat_resolver.c
    neat_resolver_conf.c
    neat_resolver_helpers.c
    neat_security.c
    neat_pm_socket.c
    neat_unix_json_socket.c
    tls-trust.c
)


#############################################################################
# OS DEPENDENT
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(${CMAKE_SYSTEM_NAME} " supported")
    ADD_DEFINITIONS("-D_DEFAULT_SOURCE")
    LIST(APPEND neat_headers neat_linux.h)
    LIST(APPEND neat_sources neat_linux.c)

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(${CMAKE_SYSTEM_NAME} " supported")
    LIST(APPEND neat_headers neat_bsd.h)
    LIST(APPEND neat_sources neat_bsd.c)
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(${CMAKE_SYSTEM_NAME} " supported")
    LIST(APPEND neat_headers neat_bsd.h)
    LIST(APPEND neat_sources neat_bsd.c)
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(${CMAKE_SYSTEM_NAME} " supported")
    LIST(APPEND neat_headers neat_bsd.h)
    LIST(APPEND neat_sources neat_bsd.c)
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()

FIND_PACKAGE(Threads REQUIRED)


#############################################################################
# CHECK STRUCT MEMBERS
#############################################################################

CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
IF (HAVE_SA_LEN)
    MESSAGE(STATUS "HAVE_SA_LEN")
    ADD_DEFINITIONS(-DHAVE_SA_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in" "sin_len" "sys/types.h;netinet/in.h" HAVE_SIN_LEN)
IF (HAVE_SIN_LEN)
    MESSAGE(STATUS "HAVE_SIN_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in6" "sin6_len" "sys/types.h;netinet/in.h" HAVE_SIN6_LEN)
IF (HAVE_SIN6_LEN)
    MESSAGE(STATUS "HAVE_SIN6_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN6_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" "ss_len" "sys/types.h;sys/socket.h" HAVE_SS_LEN)
IF (HAVE_SS_LEN)
    MESSAGE(STATUS "HAVE_SS_LEN")
    ADD_DEFINITIONS(-DHAVE_SS_LEN)
ENDIF()

#############################################################################
# CHECK OPTIONS
#############################################################################

# Debug build type as default
IF (NOT CMAKE_BUILD_TYPE)
    MESSAGE("No build type selected, using DEBUG")
    SET(CMAKE_BUILD_TYPE "DEBUG")
ENDIF()

OPTION(USRSCTP_SUPPORT "Include usrsctp support" 0)
IF (USRSCTP_SUPPORT)
    ADD_DEFINITIONS(-DUSRSCTP_SUPPORT)
    ADD_DEFINITIONS(-DINET)
    ADD_DEFINITIONS(-DINET6)
    ADD_DEFINITIONS(-DSCTP_DEBUG)
    LIST(APPEND neat_headers neat_usrsctp.h)
    LIST(APPEND neat_sources neat_usrsctp.c)

    FIND_LIBRARY(USRSCTP_LIB usrsctp)
    LIST(APPEND neat_libs ${USRSCTP_LIB})
    MESSAGE("USRSCTP found: " ${USRSCTP_LIB})
ENDIF()

OPTION(MPTCP_SUPPORT "Include MPTCP support" 0)
IF (MPTCP_SUPPORT)
    MESSAGE(STATUS "Included MPTCP support")
    ADD_DEFINITIONS(-DMPTCP_SUPPORT)
ENDIF()

OPTION(NEAT_LOG "enable NEAT log module" 1)
IF (NEAT_LOG)
    ADD_DEFINITIONS(-DNEAT_LOG)
ENDIF()

OPTION(STATIC_LOG "Enable logging with nt_log without neat context" 0)
IF (STATIC_LOG)
    ADD_DEFINITIONS(-DSTATIC_LOG)
ENDIF()

OPTION(FLOW_GROUPS "Include support for flow grouping" 0)
IF (FLOW_GROUPS)
    ADD_DEFINITIONS(-DFLOW_GROUPS)
ENDIF()

OPTION(SCTP_MULTISTREAMING "Include support for SCTP multistreaming" 1)
IF (SCTP_MULTISTREAMING)
    ADD_DEFINITIONS(-DSCTP_MULTISTREAMING)
ENDIF()

OPTION(OPENSSL_SUPPORT "Include support for OpenSSL" 1)

OPTION(SOCKET_API "Include the socket API" 1)

OPTION(SWIG_PYTHON "Include SWIG Python bindings" 0)
IF (SWIG_PYTHON)
    FIND_PACKAGE(SWIG REQUIRED)
    INCLUDE(${SWIG_USE_FILE})
    FIND_PACKAGE(PythonLibs 3.7 REQUIRED)
    INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_DIRS})
    INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

    SET(CMAKE_SWIG_FLAGS "")
    SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}  -Wno-error=shadow -Wno-error=pedantic")

    SET_SOURCE_FILES_PROPERTIES(neat_swig.i PROPERTIES SWIG_FLAGS "-includeall")
ENDIF()

OPTION(WEBRTC_SUPPORT "Include WebRTC support" 1)

OPTION(SANITIZER_ADDRESS "Compile with address sanitizer" 0)

OPTION(SANITIZER_MEMORY "Compile with memory sanitizer" 0)

IF (SANITIZER_ADDRESS AND SANITIZER_MEMORY)
    MESSAGE(FATAL_ERROR "Can not compile with both sanitizer options")
ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################

CHECK_INCLUDE_FILE(uv.h HAVE_UV_H)
FIND_LIBRARY(UV_LIB uv)

IF (NOT HAVE_UV_H OR NOT UV_LIB)
    MESSAGE(FATAL_ERROR "uv.h or libuv not found - libuv installed?")
ELSE()
    MESSAGE("UV found: " ${UV_LIB})
ENDIF()

CHECK_INCLUDE_FILE(ldns/ldns.h HAVE_LDNS_H)
FIND_LIBRARY(LDNS_LIB NAMES ldns libldns)
IF (NOT HAVE_LDNS_H OR NOT LDNS_LIB)
    MESSAGE(FATAL_ERROR "ldns/ldns.h or libuv not found - libldns installed?")
ELSE()
    MESSAGE("LDNS found: " ${LDNS_LIB})
ENDIF()

IF (OPENSSL_SUPPORT)
    FIND_PACKAGE(OpenSSL)
    IF (NOT OPENSSL_FOUND)
        MESSAGE(WARNING "openssl >= 1.0.2 required for TLS - none found")
    ELSE()
        MESSAGE("OPENSSL version found: " ${OPENSSL_VERSION})
        IF (OPENSSL_VERSION VERSION_LESS "1.0.2")
            MESSAGE(WARNING "openssl >= 1.0.2 required for TLS")
        ELSE()
            CHECK_INCLUDE_FILE(openssl/ssl.h HAVE_SYS_OPENSSL_H)
            MESSAGE(STATUS "OPENSSL Crypto found: " ${OPENSSL_LIBRARIES})
            ADD_DEFINITIONS(-DNEAT_USETLS)
            SET(CMAKE_EXTRA_INCLUDE_FILES "openssl/ssl.h")

            IF ((OPENSSL_VERSION VERSION_EQUAL "1.1.0") OR (OPENSSL_VERSION VERSION_GREATER "1.1.0"))
                CHECK_TYPE_SIZE("struct bio_dgram_sctp_sndinfo" OPENSSL_DTLS)
                IF (HAVE_OPENSSL_DTLS)
                    MESSAGE("DTLS for SCTP supported")
                    ADD_DEFINITIONS(-DNEAT_SCTP_DTLS)
                ENDIF()
            ENDIF()
            if (OPENSSL_ROOT_DIR)
                # if a custom dir was set, specify the include path too
                SET(CMAKE_C_FLAGS "-I${OPENSSL_ROOT_DIR}/include")
            ENDIF()
        ENDIF()
    ENDIF()
ENDIF()

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    FIND_LIBRARY(MNL_LIB mnl)
    CHECK_INCLUDE_FILE(libmnl/libmnl.h HAVE_SYS_LIBMNL_H)
    IF(NOT HAVE_SYS_LIBMNL_H OR NOT MNL_LIB)
        MESSAGE(FATAL_ERROR "libmnl/libmnl.h not found - libmnl installed?")
    ELSE()
        MESSAGE("LIBMNL found: " ${MNL_LIB})
    ENDIF()
    FIND_LIBRARY(SCTP_LIB sctp)
    IF (NOT MPTCP_SUPPORT)
        IF(EXISTS "/proc/sys/net/mptcp/mptcp_enabled")
            MESSAGE(STATUS "MPTCP found")
            ADD_DEFINITIONS(-DMPTCP_SUPPORT)
        ENDIF()
    ENDIF()
ENDIF()

CHECK_INCLUDE_FILE(jansson.h HAVE_JANSSON_H)
FIND_LIBRARY(JANSSON_LIB jansson)
IF (NOT HAVE_JANSSON_H OR NOT JANSSON_LIB)
    MESSAGE(FATAL_ERROR "jansson.h not found - jansson installed?")
ELSE()
    MESSAGE(STATUS "jansson found: " ${JANSSON_LIB})
ENDIF()

IF (WEBRTC_SUPPORT)
    SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${RAWRTC_PREFIX}/include)
    SET(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} ${RAWRTC_PREFIX}/lib)
    INCLUDE_DIRECTORIES(${INCLUDE_DIRECTORIES} ${RAWRTC_PREFIX}/include)

    CHECK_INCLUDE_FILE(rawrtc.h HAVE_RAWRTC_H)
    FIND_LIBRARY(RAWRTC_LIB rawrtc)

    IF (NOT HAVE_RAWRTC_H OR NOT RAWRTC_LIB)
        MESSAGE(WARNING "rawrtc.h not found - rawrtc installed?")
        SET(WEBRTC_SUPPORT 0)
    ELSE()
        MESSAGE(STATUS "rawrtc found: " ${RAWRTC_LIB})
        ADD_DEFINITIONS(-DWEBRTC_SUPPORT)
        LIST(APPEND neat_sources neat_webrtc.c neat_webrtc_tools.c)
    ENDIF()
ENDIF()

CHECK_INCLUDE_FILE(netinet/sctp.h HAVE_NETINET_SCTP_H)
IF (HAVE_NETINET_SCTP_H)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_NETINET_SCTP_H")
    SET(SCTP_INCLUDE "netinet/sctp.h")
ENDIF()

IF (USRSCTP_SUPPORT)
    CHECK_INCLUDE_FILE(usrsctp.h HAVE_USRSCTP_H)
    IF (NOT HAVE_USRSCTP_H)
      MESSAGE(FATAL_ERROR "usrsctp.h not found - usrsctp installed?")
    ENDIF()

    SET(SCTP_INCLUDE "usrsctp.h")
ENDIF()

IF (SCTP_INCLUDE)
    CHECK_STRUCT_HAS_MEMBER("struct sctp_event_subscribe" sctp_association_event ${SCTP_INCLUDE} HAVE_SCTP_EVENT_SUBSCRIBE)
    CHECK_STRUCT_HAS_MEMBER("struct sctp_send_failed_event" ssfe_error ${SCTP_INCLUDE} HAVE_SCTP_SEND_FAILED_EVENT)
ENDIF()

IF (HAVE_SCTP_SEND_FAILED_EVENT)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_SCTP_SEND_FAILED_EVENT")
ENDIF()

IF (USRSCTP_SUPPORT)

=== examples/CMakeLists.txt ===
# PROGRAMS LIST
#############################################################################
LIST(APPEND neat_programs
    client_dtls_echo.c
    server_dtls_echo.c
    client.c
    client_data.c
    client_http_get.c
    client_http_run_once.c
    server_chargen.c
    server_daytime.c
    server_discard.c
    server_echo.c
    server_http.c
    tneat.c
    peer.c
    msbench.c
    minimal_client.c
    minimal_server.c
    minimal_server2.c

)

LIST(APPEND neat_property_examples
    prop_all.json
    prop_datagram.json
    prop_default.json
    prop_sctp.json
    prop_sctp_delayed.json
    prop_sctp_dtls.json
    prop_sctp_multihomed.json
    prop_tcp.json
    prop_tcp_delayed.json
    prop_tcp_security.json
    prop_streaming_mode.json
    prop_message_mode.json
    webrtcDCExample.sh
)

IF (WEBRTC_SUPPORT)
    LIST(APPEND neat_programs
        peer_webrtc.c
        peer_webrtc_signaling.c
        signaling.c
        webrtcPi.c
        sensehat_test.c
    )
ENDIF()

#### BUILD EACH PROGRAM                                                  ####
#############################################################################
FOREACH (source_file ${neat_programs})
    GET_FILENAME_COMPONENT(source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
        util.c
        picohttpparser.c
        webrtc_signaling.c
        gyropi.cpp
    )
    TARGET_LINK_LIBRARIES(${source_file_we} neat)
    IF (HAVE_RTIMULIB_H)
        TARGET_LINK_LIBRARIES(${source_file_we} RTIMULib)
    ENDIF()
    INSTALL(TARGETS             ${source_file_we}
            RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/libneat
            BUNDLE DESTINATION  ${CMAKE_INSTALL_LIBDIR}/libneat)
ENDFOREACH ()


# COPY EXAMPLE PROPERTY FILES
#############################################################################
FOREACH (property_example ${neat_property_examples})
    MESSAGE(STATUS "copy file ${property_example}")
    CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/${property_example} ${CMAKE_CURRENT_BINARY_DIR}/${property_example} COPYONLY)
ENDFOREACH()

=== examples/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dreibh/src/neat/neat

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dreibh/src/neat/neat

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool for source..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/dreibh/src/neat/neat/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles /home/dreibh/src/neat/neat/examples//CMakeFiles/progress.marks
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
examples/CMakeFiles/client_dtls_echo.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client_dtls_echo.dir/rule
.PHONY : examples/CMakeFiles/client_dtls_echo.dir/rule

# Convenience name for target.
client_dtls_echo: examples/CMakeFiles/client_dtls_echo.dir/rule
.PHONY : client_dtls_echo

# fast build rule for target.
client_dtls_echo/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client_dtls_echo.dir/build.make examples/CMakeFiles/client_dtls_echo.dir/build
.PHONY : client_dtls_echo/fast

# Convenience name for target.
examples/CMakeFiles/server_dtls_echo.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_dtls_echo.dir/rule
.PHONY : examples/CMakeFiles/server_dtls_echo.dir/rule

# Convenience name for target.
server_dtls_echo: examples/CMakeFiles/server_dtls_echo.dir/rule
.PHONY : server_dtls_echo

# fast build rule for target.
server_dtls_echo/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/server_dtls_echo.dir/build.make examples/CMakeFiles/server_dtls_echo.dir/build
.PHONY : server_dtls_echo/fast

# Convenience name for target.
examples/CMakeFiles/client.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client.dir/rule
.PHONY : examples/CMakeFiles/client.dir/rule

# Convenience name for target.
client: examples/CMakeFiles/client.dir/rule
.PHONY : client

# fast build rule for target.
client/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client.dir/build.make examples/CMakeFiles/client.dir/build
.PHONY : client/fast

# Convenience name for target.
examples/CMakeFiles/client_data.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client_data.dir/rule
.PHONY : examples/CMakeFiles/client_data.dir/rule

# Convenience name for target.
client_data: examples/CMakeFiles/client_data.dir/rule
.PHONY : client_data

# fast build rule for target.
client_data/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client_data.dir/build.make examples/CMakeFiles/client_data.dir/build
.PHONY : client_data/fast

# Convenience name for target.
examples/CMakeFiles/client_http_get.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client_http_get.dir/rule
.PHONY : examples/CMakeFiles/client_http_get.dir/rule

# Convenience name for target.
client_http_get: examples/CMakeFiles/client_http_get.dir/rule
.PHONY : client_http_get

# fast build rule for target.
client_http_get/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client_http_get.dir/build.make examples/CMakeFiles/client_http_get.dir/build
.PHONY : client_http_get/fast

# Convenience name for target.
examples/CMakeFiles/client_http_run_once.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/client_http_run_once.dir/rule
.PHONY : examples/CMakeFiles/client_http_run_once.dir/rule

# Convenience name for target.
client_http_run_once: examples/CMakeFiles/client_http_run_once.dir/rule
.PHONY : client_http_run_once

# fast build rule for target.
client_http_run_once/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/client_http_run_once.dir/build.make examples/CMakeFiles/client_http_run_once.dir/build
.PHONY : client_http_run_once/fast

# Convenience name for target.
examples/CMakeFiles/server_chargen.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_chargen.dir/rule
.PHONY : examples/CMakeFiles/server_chargen.dir/rule

# Convenience name for target.
server_chargen: examples/CMakeFiles/server_chargen.dir/rule
.PHONY : server_chargen

# fast build rule for target.
server_chargen/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/server_chargen.dir/build.make examples/CMakeFiles/server_chargen.dir/build
.PHONY : server_chargen/fast

# Convenience name for target.
examples/CMakeFiles/server_daytime.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_daytime.dir/rule
.PHONY : examples/CMakeFiles/server_daytime.dir/rule

# Convenience name for target.
server_daytime: examples/CMakeFiles/server_daytime.dir/rule
.PHONY : server_daytime

# fast build rule for target.
server_daytime/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/server_daytime.dir/build.make examples/CMakeFiles/server_daytime.dir/build
.PHONY : server_daytime/fast

# Convenience name for target.
examples/CMakeFiles/server_discard.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_discard.dir/rule
.PHONY : examples/CMakeFiles/server_discard.dir/rule

# Convenience name for target.
server_discard: examples/CMakeFiles/server_discard.dir/rule
.PHONY : server_discard

# fast build rule for target.
server_discard/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f examples/CMakeFiles/server_discard.dir/build.make examples/CMakeFiles/server_discard.dir/build
.PHONY : server_discard/fast

# Convenience name for target.
examples/CMakeFiles/server_echo.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 examples/CMakeFiles/server_echo.dir/rule
.PHONY : examples/CMakeFiles/server_echo.dir/rule

# Convenience name for target.
server_echo: examples/CMakeFiles/server_echo.dir/rule
.PHONY : server_echo

=== socketapi/CMakeLists.txt ===
# SOURCES + HEADERS
#############################################################################
LIST(APPEND neat_socketapi_headers
   neat-socketapi.h
)

LIST(APPEND neat_socketapi_sources
   neat-socketapi.c
   neat-socketapi-file.c
   neat-socketapi-internals.c
   neat-socketapi-io.c
   neat-socketapi-poll.c
   identifierbitmap.c
   notificationqueue.c
   eventsignal.c
   redblacktree.c
)

#### Define *64() functions                                              ####
ADD_DEFINITIONS(-D_LARGEFILE64_SOURCE)


#### PROGRAMS LIST                                                       ####
#############################################################################
LIST(APPEND neat_socketapi_programs
  t2.cc
)


# LIBRARIES
#############################################################################
include_directories(.)

ADD_LIBRARY(neat-socketapi SHARED ${neat_socketapi_sources})

set_target_properties(neat-socketapi PROPERTIES
   VERSION ${BUILD_VERSION}
   SOVERSION ${BUILD_MAJOR}
)

ADD_LIBRARY(neat-socketapi-static STATIC ${neat_socketapi_sources})

TARGET_LINK_LIBRARIES (neat-socketapi neat ${neat_socketapi_libs} "${CMAKE_THREAD_LIBS_INIT}")


#### INSTALL                                                             ####
#############################################################################
MESSAGE(STATUS "Install directory: ${CMAKE_INSTALL_PREFIX}")

INSTALL(TARGETS neat-socketapi neat-socketapi-static DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(FILES ${neat_socketapi_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})


# BUILD EACH PROGRAM
#############################################################################
FOREACH (source_file ${neat_socketapi_programs})
   GET_FILENAME_COMPONENT(source_file_we ${source_file} NAME_WE)
   ADD_EXECUTABLE (
      ${source_file_we}
      ${source_file}
   )
   TARGET_LINK_LIBRARIES(${source_file_we} neat-socketapi "${CMAKE_THREAD_LIBS_INIT}")
   # INSTALL(TARGETS             ${source_file_we}
   #         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
   #         BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
ENDFOREACH ()


#### INCLUDE EXAMPLES AND TESTS FOLDER                                   ####
#############################################################################
ADD_SUBDIRECTORY(examples)

=== socketapi/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dreibh/src/neat/neat

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dreibh/src/neat/neat

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool for source..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/dreibh/src/neat/neat/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles /home/dreibh/src/neat/neat/socketapi//CMakeFiles/progress.marks
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
socketapi/CMakeFiles/neat-socketapi.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/CMakeFiles/neat-socketapi.dir/rule
.PHONY : socketapi/CMakeFiles/neat-socketapi.dir/rule

# Convenience name for target.
neat-socketapi: socketapi/CMakeFiles/neat-socketapi.dir/rule
.PHONY : neat-socketapi

# fast build rule for target.
neat-socketapi/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/build
.PHONY : neat-socketapi/fast

# Convenience name for target.
socketapi/CMakeFiles/neat-socketapi-static.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/CMakeFiles/neat-socketapi-static.dir/rule
.PHONY : socketapi/CMakeFiles/neat-socketapi-static.dir/rule

# Convenience name for target.
neat-socketapi-static: socketapi/CMakeFiles/neat-socketapi-static.dir/rule
.PHONY : neat-socketapi-static

# fast build rule for target.
neat-socketapi-static/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/build
.PHONY : neat-socketapi-static/fast

# Convenience name for target.
socketapi/CMakeFiles/t2.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/CMakeFiles/t2.dir/rule
.PHONY : socketapi/CMakeFiles/t2.dir/rule

# Convenience name for target.
t2: socketapi/CMakeFiles/t2.dir/rule
.PHONY : t2

# fast build rule for target.
t2/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/t2.dir/build.make socketapi/CMakeFiles/t2.dir/build
.PHONY : t2/fast

eventsignal.o: eventsignal.c.o
.PHONY : eventsignal.o

# target to build an object file
eventsignal.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/eventsignal.c.o
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/eventsignal.c.o
.PHONY : eventsignal.c.o

eventsignal.i: eventsignal.c.i
.PHONY : eventsignal.i

# target to preprocess a source file
eventsignal.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/eventsignal.c.i
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/eventsignal.c.i
.PHONY : eventsignal.c.i

eventsignal.s: eventsignal.c.s
.PHONY : eventsignal.s

# target to generate assembly for a file
eventsignal.c.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/eventsignal.c.s
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/eventsignal.c.s
.PHONY : eventsignal.c.s

identifierbitmap.o: identifierbitmap.c.o
.PHONY : identifierbitmap.o

# target to build an object file
identifierbitmap.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/identifierbitmap.c.o
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/identifierbitmap.c.o
.PHONY : identifierbitmap.c.o

identifierbitmap.i: identifierbitmap.c.i
.PHONY : identifierbitmap.i

# target to preprocess a source file
identifierbitmap.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/identifierbitmap.c.i
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/identifierbitmap.c.i
.PHONY : identifierbitmap.c.i

identifierbitmap.s: identifierbitmap.c.s
.PHONY : identifierbitmap.s

# target to generate assembly for a file
identifierbitmap.c.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/identifierbitmap.c.s
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/identifierbitmap.c.s
.PHONY : identifierbitmap.c.s

neat-socketapi-file.o: neat-socketapi-file.c.o
.PHONY : neat-socketapi-file.o

# target to build an object file
neat-socketapi-file.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/neat-socketapi-file.c.o
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/neat-socketapi-file.c.o
.PHONY : neat-socketapi-file.c.o

neat-socketapi-file.i: neat-socketapi-file.c.i
.PHONY : neat-socketapi-file.i

# target to preprocess a source file
neat-socketapi-file.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi.dir/build.make socketapi/CMakeFiles/neat-socketapi.dir/neat-socketapi-file.c.i
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/CMakeFiles/neat-socketapi-static.dir/build.make socketapi/CMakeFiles/neat-socketapi-static.dir/neat-socketapi-file.c.i

=== tests/CMakeLists.txt ===
# TESTS LIST
#############################################################################
LIST(APPEND neat_test_programs
    neat_resolver_example.c
    test_close.c
)

LIST(APPEND neat_test_scripts
    run.sh
)

#### BUILD EACH TEST                                                     ####
#############################################################################
FOREACH (source_file ${neat_test_programs})
    GET_FILENAME_COMPONENT(source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (${source_file_we} ${source_file})
    TARGET_LINK_LIBRARIES(${source_file_we} neat)
ENDFOREACH()

# COPY TEST SCRIPTS
#############################################################################
FOREACH (neat_test ${neat_test_scripts})
    MESSAGE(STATUS "copy script ${neat_test}")
    CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/${neat_test} ${CMAKE_CURRENT_BINARY_DIR}/${neat_test} COPYONLY)
ENDFOREACH()

=== tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dreibh/src/neat/neat

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dreibh/src/neat/neat

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool for source..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/dreibh/src/neat/neat/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles /home/dreibh/src/neat/neat/tests//CMakeFiles/progress.marks
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/CMakeFiles/neat_resolver_example.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/CMakeFiles/neat_resolver_example.dir/rule
.PHONY : tests/CMakeFiles/neat_resolver_example.dir/rule

# Convenience name for target.
neat_resolver_example: tests/CMakeFiles/neat_resolver_example.dir/rule
.PHONY : neat_resolver_example

# fast build rule for target.
neat_resolver_example/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/neat_resolver_example.dir/build.make tests/CMakeFiles/neat_resolver_example.dir/build
.PHONY : neat_resolver_example/fast

# Convenience name for target.
tests/CMakeFiles/test_close.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/CMakeFiles/test_close.dir/rule
.PHONY : tests/CMakeFiles/test_close.dir/rule

# Convenience name for target.
test_close: tests/CMakeFiles/test_close.dir/rule
.PHONY : test_close

# fast build rule for target.
test_close/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/test_close.dir/build.make tests/CMakeFiles/test_close.dir/build
.PHONY : test_close/fast

neat_resolver_example.o: neat_resolver_example.c.o
.PHONY : neat_resolver_example.o

# target to build an object file
neat_resolver_example.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/neat_resolver_example.dir/build.make tests/CMakeFiles/neat_resolver_example.dir/neat_resolver_example.c.o
.PHONY : neat_resolver_example.c.o

neat_resolver_example.i: neat_resolver_example.c.i
.PHONY : neat_resolver_example.i

# target to preprocess a source file
neat_resolver_example.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/neat_resolver_example.dir/build.make tests/CMakeFiles/neat_resolver_example.dir/neat_resolver_example.c.i
.PHONY : neat_resolver_example.c.i

neat_resolver_example.s: neat_resolver_example.c.s
.PHONY : neat_resolver_example.s

# target to generate assembly for a file
neat_resolver_example.c.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/neat_resolver_example.dir/build.make tests/CMakeFiles/neat_resolver_example.dir/neat_resolver_example.c.s
.PHONY : neat_resolver_example.c.s

test_close.o: test_close.c.o
.PHONY : test_close.o

# target to build an object file
test_close.c.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/test_close.dir/build.make tests/CMakeFiles/test_close.dir/test_close.c.o
.PHONY : test_close.c.o

test_close.i: test_close.c.i
.PHONY : test_close.i

# target to preprocess a source file
test_close.c.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/test_close.dir/build.make tests/CMakeFiles/test_close.dir/test_close.c.i
.PHONY : test_close.c.i

test_close.s: test_close.c.s
.PHONY : test_close.s

# target to generate assembly for a file
test_close.c.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/test_close.dir/build.make tests/CMakeFiles/test_close.dir/test_close.c.s
.PHONY : test_close.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... neat_resolver_example"
	@echo "... test_close"
	@echo "... neat_resolver_example.o"
	@echo "... neat_resolver_example.i"
	@echo "... neat_resolver_example.s"
	@echo "... test_close.o"
	@echo "... test_close.i"
	@echo "... test_close.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== freebsd/libneat/Makefile ===
# Created by: Thomas Dreibholz <thomas.dreibholz@gmail.com>
# $FreeBSD$

PORTNAME=	libneat
DISTVERSION=	1.0.9
CATEGORIES=	net
MASTER_SITES=	https://packages.nntb.no/software/libneat/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	NEAT Project

LICENSE=	BSD
# LICENSE_FILE=	${WRKSRC}/COPYING

LIB_DEPENDS=    libjansson.so:devel/jansson \
		libldns.so:dns/ldns \
		libuv.so:devel/libuv
BUILD_DEPENDS=  swig:devel/swig

USES=		cmake ssl
USE_LDCONFIG=	yes

CMAKE_ARGS+=    -DSOCKET_API=1 -DUSRSCTP_SUPPORT=0 -DWEBRTC_SUPPORT=0 -DSCTP_MULTISTREAMING=1 -DFLOW_GROUPS=1

PLIST_SUB=      VERSION=${PORTVERSION}

.include <bsd.port.mk>

=== socketapi/docs/Makefile ===
txtfiles := $(patsubst %.xml,%.txt,$(wildcard draft-*.xml))
htmlfiles := $(patsubst %.xml,%.html,$(wildcard draft-*.xml))


all:   $(htmlfiles) $(txtfiles)


references:
	bibtexconv ~/src/papers/Referenzarchiv.bib -non-interactive -export-to-separate-xmls=reference.


$(txtfiles):	%.txt: %.xml
	xml2rfc $< --text --v3
	# idnits $@

$(htmlfiles):	%.html: %.xml
	xml2rfc $< --html --v3


clean:
	rm -f *.txt *.html

=== socketapi/examples/CMakeLists.txt ===
# PROGRAMS LIST
#############################################################################
LIST(APPEND neat_socketapi_example_programs
   httpget.cc
   httpserver1.cc
   httpserver2-select.cc
   httpserver2-threads.cc
)


#### BUILD EACH PROGRAM                                                  ####
#############################################################################
FOREACH (source_file ${neat_socketapi_example_programs})
    GET_FILENAME_COMPONENT(source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
        safeprint.cc thread.cc mutex.cc
    )
    TARGET_LINK_LIBRARIES(${source_file_we} neat-socketapi neat "${CMAKE_THREAD_LIBS_INIT}")
    INSTALL(TARGETS             ${source_file_we}
            RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/libneat
            BUNDLE DESTINATION  ${CMAKE_INSTALL_LIBDIR}/libneat)
ENDFOREACH ()


# FIXME! Work-around for stdc++ compile issue in Fedora 36+Rawhide:
IF(CMAKE_COMPILER_IS_GNUCXX)
   SET_TARGET_PROPERTIES(httpget PROPERTIES LINK_FLAGS "-Wno-maybe-uninitialized")
ENDIF()

=== socketapi/examples/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dreibh/src/neat/neat

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dreibh/src/neat/neat

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool for source..."
	cd /home/dreibh/src/neat/neat && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/dreibh/src/neat/neat/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles /home/dreibh/src/neat/neat/socketapi/examples//CMakeFiles/progress.marks
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dreibh/src/neat/neat/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/dreibh/src/neat/neat && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
socketapi/examples/CMakeFiles/httpget.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/CMakeFiles/httpget.dir/rule
.PHONY : socketapi/examples/CMakeFiles/httpget.dir/rule

# Convenience name for target.
httpget: socketapi/examples/CMakeFiles/httpget.dir/rule
.PHONY : httpget

# fast build rule for target.
httpget/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpget.dir/build.make socketapi/examples/CMakeFiles/httpget.dir/build
.PHONY : httpget/fast

# Convenience name for target.
socketapi/examples/CMakeFiles/httpserver1.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/CMakeFiles/httpserver1.dir/rule
.PHONY : socketapi/examples/CMakeFiles/httpserver1.dir/rule

# Convenience name for target.
httpserver1: socketapi/examples/CMakeFiles/httpserver1.dir/rule
.PHONY : httpserver1

# fast build rule for target.
httpserver1/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver1.dir/build.make socketapi/examples/CMakeFiles/httpserver1.dir/build
.PHONY : httpserver1/fast

# Convenience name for target.
socketapi/examples/CMakeFiles/httpserver2-select.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/CMakeFiles/httpserver2-select.dir/rule
.PHONY : socketapi/examples/CMakeFiles/httpserver2-select.dir/rule

# Convenience name for target.
httpserver2-select: socketapi/examples/CMakeFiles/httpserver2-select.dir/rule
.PHONY : httpserver2-select

# fast build rule for target.
httpserver2-select/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-select.dir/build.make socketapi/examples/CMakeFiles/httpserver2-select.dir/build
.PHONY : httpserver2-select/fast

# Convenience name for target.
socketapi/examples/CMakeFiles/httpserver2-threads.dir/rule:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 socketapi/examples/CMakeFiles/httpserver2-threads.dir/rule
.PHONY : socketapi/examples/CMakeFiles/httpserver2-threads.dir/rule

# Convenience name for target.
httpserver2-threads: socketapi/examples/CMakeFiles/httpserver2-threads.dir/rule
.PHONY : httpserver2-threads

# fast build rule for target.
httpserver2-threads/fast:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-threads.dir/build.make socketapi/examples/CMakeFiles/httpserver2-threads.dir/build
.PHONY : httpserver2-threads/fast

httpget.o: httpget.cc.o
.PHONY : httpget.o

# target to build an object file
httpget.cc.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpget.dir/build.make socketapi/examples/CMakeFiles/httpget.dir/httpget.cc.o
.PHONY : httpget.cc.o

httpget.i: httpget.cc.i
.PHONY : httpget.i

# target to preprocess a source file
httpget.cc.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpget.dir/build.make socketapi/examples/CMakeFiles/httpget.dir/httpget.cc.i
.PHONY : httpget.cc.i

httpget.s: httpget.cc.s
.PHONY : httpget.s

# target to generate assembly for a file
httpget.cc.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpget.dir/build.make socketapi/examples/CMakeFiles/httpget.dir/httpget.cc.s
.PHONY : httpget.cc.s

httpserver1.o: httpserver1.cc.o
.PHONY : httpserver1.o

# target to build an object file
httpserver1.cc.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver1.dir/build.make socketapi/examples/CMakeFiles/httpserver1.dir/httpserver1.cc.o
.PHONY : httpserver1.cc.o

httpserver1.i: httpserver1.cc.i
.PHONY : httpserver1.i

# target to preprocess a source file
httpserver1.cc.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver1.dir/build.make socketapi/examples/CMakeFiles/httpserver1.dir/httpserver1.cc.i
.PHONY : httpserver1.cc.i

httpserver1.s: httpserver1.cc.s
.PHONY : httpserver1.s

# target to generate assembly for a file
httpserver1.cc.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver1.dir/build.make socketapi/examples/CMakeFiles/httpserver1.dir/httpserver1.cc.s
.PHONY : httpserver1.cc.s

httpserver2-select.o: httpserver2-select.cc.o
.PHONY : httpserver2-select.o

# target to build an object file
httpserver2-select.cc.o:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-select.dir/build.make socketapi/examples/CMakeFiles/httpserver2-select.dir/httpserver2-select.cc.o
.PHONY : httpserver2-select.cc.o

httpserver2-select.i: httpserver2-select.cc.i
.PHONY : httpserver2-select.i

# target to preprocess a source file
httpserver2-select.cc.i:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-select.dir/build.make socketapi/examples/CMakeFiles/httpserver2-select.dir/httpserver2-select.cc.i
.PHONY : httpserver2-select.cc.i

httpserver2-select.s: httpserver2-select.cc.s
.PHONY : httpserver2-select.s

# target to generate assembly for a file
httpserver2-select.cc.s:
	cd /home/dreibh/src/neat/neat && $(MAKE) $(MAKESILENT) -f socketapi/examples/CMakeFiles/httpserver2-select.dir/build.make socketapi/examples/CMakeFiles/httpserver2-select.dir/httpserver2-select.cc.s
.PHONY : httpserver2-select.cc.s

httpserver2-threads.o: httpserver2-threads.cc.o
.PHONY : httpserver2-threads.o

# target to build an object file
httpserver2-threads.cc.o:

=== debian/changelog ===
libneat (1.0.9-1ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Closes: #1005918 (ITP).

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 10 Dec 2025 10:47:05 +0100

libneat (1.0.8-1ubuntu1) oracular; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <dreibh@simula.no>  Fri, 11 Jul 2025 09:14:46 +0200

libneat (1.0.7-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Sat, 14 Dec 2024 16:25:10 +0100

libneat (1.0.6-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Sat, 14 Dec 2024 15:51:55 +0100

libneat (1.0.5-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 06 Dec 2023 17:26:50 +0100

libneat (1.0.4-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 08 Feb 2023 11:46:38 +0100

libneat (1.0.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Thu, 17 Feb 2022 14:12:37 +0100

libneat (1.0.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 16 Feb 2022 13:28:43 +0100

libneat (1.0.1-1ubuntu1) focal; urgency=medium

  * Non-maintainer upload (NMU).
  * Initial release.
  * debian/control: Updated standards version to 4.4.1.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Dec 2019 15:50:05 +0100

libneat (1.0.0-1ubuntu1) eoan; urgency=medium

  * Non-maintainer upload (NMU).
  * Initial release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 23 Aug 2019 13:02:18 +0200

=== debian/control ===
Source: libneat
Maintainer: Thomas Dreibholz <dreibh@simula.no>
Section: net
Priority: optional
Homepage: https://github.com/NEAT-project/neat
Vcs-Git: https://github.com/NEAT-project/neat.git
Vcs-Browser: https://github.com/NEAT-project/neat
Build-Depends: cmake,
               debhelper-compat (= 13),
               libjansson-dev,
               libldns-dev,
               libmnl-dev,
               libsctp-dev,
               libssl-dev,
               libuv1-dev (>= 1.0.2),
               python3-dev (>= 3.7) | python3.7-dev,
               swig
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libneat1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: NEAT Core API
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the shared library for the NEAT Core API.

Package: libneat-dev
Section: libdevel
Architecture: any
Depends: libneat1 (= ${binary:Version}),
         libuv1-dev (>= 1.0.2),
         ${misc:Depends}
Description: NEAT Core API Development Files
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the development files for the NEAT Core API.

Package: libneat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: NEAT Core API Documentation
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the common documentation.

Package: libneat-examples
Architecture: any
Depends: libneat1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: NEAT Core API Examples
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the built examples for the NEAT Core API.

Package: libneat-socketapi1
Section: libs
Architecture: any
Depends: libneat1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: NEAT Sockets API
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the shared library for the NEAT Sockets API.

Package: libneat-socketapi-dev
Section: libdevel
Architecture: any
Depends: libneat-dev (= ${binary:Version}),
         libneat-socketapi1 (= ${binary:Version}),
         ${misc:Depends}
Description: NEAT Sockets API Development Files
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the development files for the NEAT Sockets API.

Package: libneat-socketapi-examples
Architecture: any
Depends: libneat1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: NEAT Sockets API Examples
 The NEAT project wants to achieve a complete redesign of the way in which
 Internet applications interact with the network. The goal is to allow network
 “services” offered to applications – such as reliability, low-delay
 communication or security – to be dynamically tailored based on application
 demands, current network conditions, hardware capabilities or local policies,
 and also to support the integration of new network functionality in an
 evolutionary fashion, without applications having to be rewritten. This
 architectural change will make the Internet truly “enhanceable”, by allowing
 applications to seamlessly and more easily take advantage of new network
 features as they evolve.
 .
 This package contains the built examples for the NEAT Sockets API.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake
	# --with=sphinxdoc

override_dh_auto_configure:
	dh_auto_configure -- -DSOCKET_API=1 -DUSRSCTP_SUPPORT=0 -DSCTP_MULTISTREAMING=1 -DFLOW_GROUPS=1

override_dh_auto_build:

	# PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ docs/_build/html # HTML generator
	# !!! python-recommonmark is not available in any recent Ubuntu distribution.
	# Exotic experimental package with further exotic dependencies -> Skipping documentation at the moment ...
	mkdir -p docs/_build/html

	dh_auto_build --parallel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://packages.nntb.no/software/libneat  libneat-(.*)\.tar\.xz
